std::experimental::bad_optional_access(3cxx)

NAME
std::experimental::bad_optional_access - Exception class thrown when a disengaged optional object is dereferenced.

SYNOPSIS

Inherits std::logic_error.

  Public Member Functions

bad_optional_access (const char *__arg)
virtual const char * what () const _GLIBCXX_TXN_SAFE_DYN noexcept

Detailed Description

Exception class thrown when a disengaged optional object is dereferenced.

Definition at line 117 of file optional.

Member Function Documentation

  virtual const char* std::logic_error::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.